Skip to main content
GET
/
v1
/
connections
/
{id}
Read a connection
curl --request GET \
  --url https://pnbr.io/v1/connections/{id} \
  --header 'Authorization: Bearer <token>'
{
  "connection_id": "adc2ff41-191d-4706-913b-dc37bf330aab",
  "platform": "granola",
  "status": "active",
  "target_project_id": "e718d035-8693-4187-a6c3-b79bd62246b0",
  "sync": "cron",
  "last_synced_at": "2026-05-28T17:54:42.218Z",
  "next_action": {
    "method": "POST",
    "path": "/v1/connections/adc2ff41-191d-4706-913b-dc37bf330aab/sync"
  },
  "request_id": "1d881419-5188-4419-b94d-824f7480151d"
}

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Path Parameters

id
string
required

Response

Connection status + next action.